<?xml version="1.0" ?>

<feature-spec xmlns="urn:jboss:galleon:feature-spec:2.0" name="subsystem.undertow.application-security-domain.setting.single-sign-on" stability="default">
    <annotation name="jboss-op">
        <elem name="name" value="add"/>
        <elem name="op-params" value="key-alias,key-store,client-ssl-context,domain,path,http-only,secure,cookie-name,credential-reference"/>
        <elem name="addr-params" value="profile,subsystem,application-security-domain,setting"/>
    </annotation>
    <annotation name="feature-branch">
        <elem name="id" value="subsystem.undertow"/>
    </annotation>
    <provides>
        <capability name="$profile.org.wildfly.extension.undertow.application-security-domain.single-sign-on.client-ssl-context.$application-security-domain"/>
        <capability name="$profile.org.wildfly.extension.undertow.application-security-domain.single-sign-on.credential-store.$application-security-domain"/>
        <capability name="$profile.org.wildfly.extension.undertow.application-security-domain.single-sign-on.key-store.$application-security-domain"/>
    </provides>
    <requires>
        <capability name="$profile.org.wildfly.security.key-store.$key-store"/>
        <capability name="$profile.org.wildfly.security.ssl-context.$client-ssl-context" optional="true"/>
    </requires>
    <refs>
        <ref feature="subsystem.undertow.application-security-domain"/>
        <ref feature="subsystem.undertow"/>
        <ref feature="profile" nillable="true"/>
    </refs>
    <params>
        <param name="application-security-domain" feature-id="true"/>
        <param name="http-only" nillable="true" stability="default"/>
        <param name="profile" feature-id="true" default="GLN_UNDEFINED"/>
        <param name="subsystem" feature-id="true" default="undertow"/>
        <param name="key-store" stability="default"/>
        <param name="credential-reference" stability="default"/>
        <param name="secure" nillable="true" stability="default"/>
        <param name="setting" feature-id="true" default="single-sign-on"/>
        <param name="client-ssl-context" nillable="true" stability="default"/>
        <param name="path" nillable="true" stability="default"/>
        <param name="key-alias" stability="default"/>
        <param name="domain" nillable="true" stability="default"/>
        <param name="cookie-name" nillable="true" stability="default"/>
    </params>
</feature-spec>